OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.BindableUniform

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTBindableUniform :: MonadIO m => m Bool
- gl_EXT_bindable_uniform :: Bool
- gl_MAX_BINDABLE_UNIFORM_SIZE_EXT :: GLenum
- gl_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT :: GLenum
- gl_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT :: GLenum
- gl_MAX_VERTEX_BINDABLE_UNIFORMS_EXT :: GLenum
- gl_UNIFORM_BUFFER_BINDING_EXT :: GLenum
- gl_UNIFORM_BUFFER_EXT :: GLenum
- glGetUniformBufferSizeEXT :: MonadIO m => GLuint -> GLint -> m GLint
- glGetUniformOffsetEXT :: MonadIO m => GLuint -> GLint -> m GLintptr
- glUniformBufferEXT :: MonadIO m => GLuint -> GLint -> GLuint -> m ()

# Extension Support

glGetEXTBindableUniform :: MonadIO m => m Bool

Is the EXT_bindable_uniform extension supported?

gl_EXT_bindable_uniform :: Bool

Is the EXT_bindable_uniform extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTBindableUniform` in those cases instead.

# Enums

gl_MAX_BINDABLE_UNIFORM_SIZE_EXT :: GLenum

gl_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT :: GLenum

gl_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT :: GLenum

gl_MAX_VERTEX_BINDABLE_UNIFORMS_EXT :: GLenum

gl_UNIFORM_BUFFER_BINDING_EXT :: GLenum

gl_UNIFORM_BUFFER_EXT :: GLenum

# Functions

glGetUniformBufferSizeEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> m GLint |

glGetUniformOffsetEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> m GLintptr | of type `BufferOffset`.

glUniformBufferEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `buffer`.
-> m () |